#!/bin/bash

# install impulse responses used by resample utilities

if [ "${SADIR}" != "" ] ; then INSTDIR="${SADIR}" ; else INSTDIR="/Csound/Analysis" ; fi

echo -e -n "Installing convolve files to ${INSTDIR} ... "

for i in 2 4 8 16 ; do

	rm -f "${INSTDIR}/resample-${i}-32000Hz.cv"	# remove old files
	rm -f tmp.sf score.srt

	csound -d -m0 -H0 -f -J -o tmp.sf resamp${i}.orc resamp.sco > /dev/null 2> /dev/null
	csound -U cvanal tmp.sf resample-${i}-32000Hz.cv > /dev/null 2> /dev/null

	chmod 444 resample-${i}-32000Hz.cv		# install new version

	mv resample-${i}-32000Hz.cv "${INSTDIR}/"	;

done

rm -f tmp.sf score.srt
echo -e "done."

# end of install script


